|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QCustomEvent Class Reference

The QCustomEvent class provides support for custom events. More...

    #include <QCustomEvent>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Part of the QtCore module.

Inherits QEvent.

- List of all members, including inherited members
- Qt 3 support members

### Public Functions

- ~QCustomEvent ()

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent

## Detailed Description

The QCustomEvent class provides support for custom events.

QCustomEvent has a `void *` that can be used to store custom data.

In Qt 3, QObject::customEvent() took a QCustomEvent pointer. We found out that this approach was unsatisfactory, because there was often no safe way of deleting the data held in the `void *`.

In Qt 4, QObject::customEvent() takes a plain QEvent pointer. You can add custom data by subclassing.

See also QObject::customEvent() and QApplication::notify().

## Member Function Documentation

### QCustomEvent::~QCustomEvent ()